> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/shortcuts/wisej.hybrid.deviceappactions.md).

# DeviceAppActions

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Manages application actions, such as shortcuts to specific parts of the application. This class provides methods to retrieve and set app actions, which can be used for quick access.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceAppActions
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceAppActions
```

{% endtab %}
{% endtabs %}

Access this class through the [Device](/hybrid/start/api/general/wisej.hybrid.device.md) singleton. Use of this class requires additional setup. See: <https://learn.microsoft.com/en-us/dotnet/maui/platform-integration/appmodel/app-actions> for more details.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceAppActions()

Initializes a new instance of [DeviceAppActions](/hybrid/start/api/shortcuts/wisej.hybrid.deviceappactions.md).

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)Get()

Retrieves the current set of app actions supported by the application.

**Returns:** [AppAction\[\]](/hybrid/start/api/shortcuts/wisej.hybrid.shared.appactions.appaction.md). An array of [AppAction](/hybrid/start/api/shortcuts/wisej.hybrid.shared.appactions.appaction.md) objects representing the app actions currently available for the application.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Set(appActions)

Sets the app actions for the application.

| Parameter      | Type                                                                                     | Description                                                                                                                                    |
| -------------- | ---------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| **appActions** | [AppAction\[\]](/hybrid/start/api/shortcuts/wisej.hybrid.shared.appactions.appaction.md) | An array of [AppAction](/hybrid/start/api/shortcuts/wisej.hybrid.shared.appactions.appaction.md) objects to be set as the current app actions. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/shortcuts/wisej.hybrid.deviceappactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
